GNU bug report logs - #46472
Make lisp/mail/uce.el obsolete

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: security; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 46472 <at> debbugs.gnu.org and Stefan Kangas <stefan@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 17 Jun 2022 13:07:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:07:28 2022
Received: from localhost ([127.0.0.1]:44290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2BhA-0002KJ-Fv
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:07:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2Bh8-0002K4-8x
 for 46472 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:07:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=f0EH/M7ZuUMINf8+J/01YHtRNYMHEqsHi+fr5OLZoj4=; b=YQrLq7C1RFtr1edcLF8gLJXdk/
 vdSwqDhWEqEQsqNx2CnQ4z6x17v7h/xMchzJ6UZyHtzYytjbAX8ticgRA3AwnQyhRWkiaCWtH1DDS
 l/FlS9TDxjgE0OtiwT6hoeQZlClAvMU3yK7uC35AE7F3p3nNa+dUij0rFJcfsjnvRoq4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2Bgy-0003Be-2O; Fri, 17 Jun 2022 15:07:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN> <1br1ku3eji.fsf@HIDDEN>
X-Now-Playing: Sevdaliza's _Shabrang_: "No Way"
Date: Fri, 17 Jun 2022 15:07:15 +0200
In-Reply-To: <1br1ku3eji.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 04 Mar 2021 14:27:29 -0500")
Message-ID: <87h74j8mm4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Morris <rgm@HIDDEN> writes: > Replying to spam is at
 best pointless, but most likely actively harmful. > Emacs having a package
 to help you reply to spam is at best pointless, > but most likely actively
 harmful. > > This is one [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: Eli Zaretskii <eliz@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> Replying to spam is at best pointless, but most likely actively harmful.
> Emacs having a package to help you reply to spam is at best pointless,
> but most likely actively harmful.
>
> This is one of the many things that makes Emacs look antiquated.
> I find the refusal to even obsolete such things demotivating for working
> on Emacs. So IMO the cost for keeping such things around is non-zero.

I think, on reflection, that this is a good argument.  And I agree with
everybody's that said that you should never use uce.el, so I've now
moved it to obsolete.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 17 Oct 2021 23:56:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 17 19:56:53 2021
Received: from localhost ([127.0.0.1]:45459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcG1N-0002gF-2P
	for submit <at> debbugs.gnu.org; Sun, 17 Oct 2021 19:56:53 -0400
Received: from mail-pl1-f180.google.com ([209.85.214.180]:41824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mcG1L-0002g1-6u
 for 46472 <at> debbugs.gnu.org; Sun, 17 Oct 2021 19:56:52 -0400
Received: by mail-pl1-f180.google.com with SMTP id e10so5125562plh.8
 for <46472 <at> debbugs.gnu.org>; Sun, 17 Oct 2021 16:56:51 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=jpXXgFmhenIDLyNDRNleE3n6RBaiiAO42Qff8XYDapE=;
 b=oKcK28mAXMLgvsULL5qVJ8mi5V5kAzFSUmtl95feV0+pPn6nQaIHjJ6za1IpZ/fD57
 CysyW7w33ofbPfM+EcgTSB3wKdi26PXiZV9LmKh3MrxlgzHEDdBmNfwlBzzw4oNuTZtc
 Puuny6G62zutTvZz3rVx/mjl7xUEgOzZbeC03/BC2CAM4aAca68MoA7q8VSBbezRN9dm
 7KC45MGXYPQP7zwIPLD99FTNMCUJCtgnPC9XzQKwX9u+OEqDsttkcp0tw0cxuxeJK9LD
 4AkimGWz/CuQMip/mPx52iNwWByoY09WlQCXg0MBbfy93zFlTZ2MI/lisRAoza/mTbTf
 eU3w==
X-Gm-Message-State: AOAM531i1hQkIpp8EwHZ80asvFv9LbvKPJPOE+vHZVRSietBi5i8lMgN
 jAIZgRQ2NRJxROwBkjvMSio/JssZizer5f0Z52Y=
X-Google-Smtp-Source: ABdhPJyG/i2annwLL6FnWLev0RidRhMFw+34xtj3v3Iuxd1rZGbQoCKumBXbWebr2khJuVVpkr1sxjCUWAb1n2jU704=
X-Received: by 2002:a17:90a:245:: with SMTP id
 t5mr27663649pje.133.1634515005265; 
 Sun, 17 Oct 2021 16:56:45 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 17 Oct 2021 16:56:44 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83lf2tgml7.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
 <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
 <837deek1jw.fsf@HIDDEN>
 <CADwFkmnK1Uec4DV6ReSNg3eVKaejxBkZ3Mak214sb9Jt7V8A0A@HIDDEN>
 <83lf2tgml7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 17 Oct 2021 16:56:44 -0700
Message-ID: <CADwFkmk8TUuLEtpSDN-wAR3qAGCFGNyDOEUPfnnU8mEOeXAv+w@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Thanks, I believe all your comments are fixed in the attached.
>
> Yes, thanks.

Thanks, pushed to master as commit 735086e440.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 16 Oct 2021 12:50:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 08:50:55 2021
Received: from localhost ([127.0.0.1]:41123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbj9L-0008Qn-Dq
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:50:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mbj9J-0008Qa-MF
 for 46472 <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:50:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48132)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mbj9D-0004Ya-JK; Sat, 16 Oct 2021 08:50:47 -0400
Received: from [87.69.77.57] (port=2991 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mbj9C-0005Hx-Q7; Sat, 16 Oct 2021 08:50:47 -0400
Date: Sat, 16 Oct 2021 15:50:44 +0300
Message-Id: <83lf2tgml7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnK1Uec4DV6ReSNg3eVKaejxBkZ3Mak214sb9Jt7V8A0A@HIDDEN>
 (message from Stefan Kangas on Sat, 16 Oct 2021 08:48:55 -0400)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
 <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
 <837deek1jw.fsf@HIDDEN>
 <CADwFkmnK1Uec4DV6ReSNg3eVKaejxBkZ3Mak214sb9Jt7V8A0A@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sat, 16 Oct 2021 08:48:55 -0400
> Cc: 46472 <at> debbugs.gnu.org, rgm@HIDDEN, monnier@HIDDEN
> 
> Thanks, I believe all your comments are fixed in the attached.

Yes, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 16 Oct 2021 12:49:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 08:49:03 2021
Received: from localhost ([127.0.0.1]:41119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbj7W-0008Nx-Uv
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:49:03 -0400
Received: from mail-pj1-f42.google.com ([209.85.216.42]:40819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mbj7V-0008NU-UL
 for 46472 <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:49:02 -0400
Received: by mail-pj1-f42.google.com with SMTP id
 pf6-20020a17090b1d8600b0019fa884ab85so11263031pjb.5
 for <46472 <at> debbugs.gnu.org>; Sat, 16 Oct 2021 05:49:01 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=JyHXgUUS+brXprU4W/CXYjOzBF445t8iV28btH1CVAM=;
 b=k3nDK8LH3sLx0w7KCgji3Lzgzgs4AiWr1QxP4WXduiDFQVMIiP8VSgnweGPhEzAwbc
 RoqPlGKDPKpkD6Evpxo5Nhqp0mU1b+XgZc+Hr315xXCcUdAk83W2wUESERiuztuBL7qo
 g3KWqWLvn86giYIRCboOyFz+ELj+j8S2FlbXSfsFZ/uj1R/5TstU0BYJo3HfSfkodVMZ
 ADs1hLuxw776dAPupqg6Zpu0O5L9LRHEg0fP1weWb9Cts9i0K8mrdLcb06mprvzhcPqg
 WmUD/lsS0waKaWamkc12KaKalh+pcWk5IZyqbffgiH7FLVd0OfcgGPpXu7GyQjT0aN+2
 D/0w==
X-Gm-Message-State: AOAM531OMXLRjN306Zesh6jZD15U6QgYh5zvTG4pGn8Ynws/Xs6rqNgO
 3fjCWzrccVEz+yuvIe6Wt0isTenLg5pvRgbLayI=
X-Google-Smtp-Source: ABdhPJyScdyS+grASf6TCBxnJhhZZl80RaYUK7vYuwHZbKHo6aQIREJZcxuo4yXlAU5Ef8KPwTeyKj/KocWoyLVuRf0=
X-Received: by 2002:a17:902:c1cb:b0:13f:8e99:2158 with SMTP id
 c11-20020a170902c1cb00b0013f8e992158mr9815533plc.32.1634388536032; Sat, 16
 Oct 2021 05:48:56 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 16 Oct 2021 08:48:55 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <837deek1jw.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
 <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
 <837deek1jw.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 16 Oct 2021 08:48:55 -0400
Message-ID: <CADwFkmnK1Uec4DV6ReSNg3eVKaejxBkZ3Mak214sb9Jt7V8A0A@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000001d98cc05ce77bc73"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000001d98cc05ce77bc73
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> This should pop only once per Emacs session, not each time the command
> is invoked.

Thanks, I believe all your comments are fixed in the attached.

--0000000000001d98cc05ce77bc73
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Recommend-against-using-uce.el.patch"
Content-Disposition: attachment; 
	filename="0001-Recommend-against-using-uce.el.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 34aafae0ab922866_0.1
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--0000000000001d98cc05ce77bc73--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 16 Oct 2021 12:33:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 08:33:00 2021
Received: from localhost ([127.0.0.1]:41101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbis0-0007wy-Pq
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:33:00 -0400
Received: from mail-pl1-f175.google.com ([209.85.214.175]:37743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mbiry-0007wj-Sy
 for 46472 <at> debbugs.gnu.org; Sat, 16 Oct 2021 08:32:59 -0400
Received: by mail-pl1-f175.google.com with SMTP id n11so8135342plf.4
 for <46472 <at> debbugs.gnu.org>; Sat, 16 Oct 2021 05:32:58 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=kNoag40nFlya+JA1E/mS2LIg9rUJ258xVQ+ClEA+STs=;
 b=E9RsF20Ke6LvH18kTfv+8Ey1dbISclkYYA5lRDAbAlQW5RSFixYx70wqZ/oPIp2uHn
 9QvwWbn9nrhksi0kCQxhd9/Wh6KezD8Sq9cfTUjhLtWV0CskuU5f/mmws8b1h8k8tpQk
 kqRFq42WFMuZ1V8mWDOf+lACKSIjrQ+pCUSSpUXsHh0WSbUksNexbSxCbflRuyvsWnlW
 3Ky0TxQnJDXd/5BqB+a0L36lbXl4CEaSWMnBXNVUjccmkBpP4Br4Bb62wKfD4euL8gVf
 Mi7xso3Vr1rS0O+SGpWwyA8qjjJ40Pg2lqw4W+GAotq+WTkcZ/wCPKbkR9UczRFbf5sz
 +wcA==
X-Gm-Message-State: AOAM532aG2t0SamxePhzmMnhRqxmwBOEL5aq012igfZRFgxfIERe08nc
 v1xGJmIaaduJCGfxGX6Tqrzb2shVEPdXfr1EFA9SrRS1
X-Google-Smtp-Source: ABdhPJy+6n01tDFq3rQ3iHsb+lYrrJ3SPaySJKespFNwkz+qC8C+yEeA3w7mKoCwqpIO/gzQ7dSskYPk0VEnBlt9yqg=
X-Received: by 2002:a17:90a:245:: with SMTP id
 t5mr18620008pje.133.1634387573041; 
 Sat, 16 Oct 2021 05:32:53 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 16 Oct 2021 08:32:52 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83sfx2ke8m.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 16 Oct 2021 08:32:52 -0400
Message-ID: <CADwFkm=JHgbX7JyHNCaB921qcBL0+8EFfGrH7J+4P8dL_DHQyQ@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> This is okay for the release branch, thanks.

Thanks, pushed to emacs-28 (commit 1dfe9d6285).  I will send the updated
patch for master shortly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 15 Oct 2021 10:47:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 15 06:47:09 2021
Received: from localhost ([127.0.0.1]:38266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbKk1-0007j6-KP
	for submit <at> debbugs.gnu.org; Fri, 15 Oct 2021 06:47:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mbKjy-0007id-EI
 for 46472 <at> debbugs.gnu.org; Fri, 15 Oct 2021 06:47:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41922)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mbKjt-0007Bw-0l; Fri, 15 Oct 2021 06:47:01 -0400
Received: from [87.69.77.57] (port=4587 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mbKjs-0002BS-Hw; Fri, 15 Oct 2021 06:47:00 -0400
Date: Fri, 15 Oct 2021 13:46:59 +0300
Message-Id: <837deek1jw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
 (message from Stefan Kangas on Fri, 15 Oct 2021 03:50:17 -0500)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
 <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 15 Oct 2021 03:50:17 -0500
> Cc: 46472 <at> debbugs.gnu.org, rgm@HIDDEN, monnier@HIDDEN
> 
> > I'd like to see the patch for master, please.
> 
> Please see the attached.
> 
> * lisp/mail/uce.el: Recommend against its use.  (Bug#46472)

This should mention the function in which you make the change.

> Do not merge to master.

???

> --- a/lisp/mail/uce.el
> +++ b/lisp/mail/uce.el
> @@ -358,7 +358,30 @@ uce-reply-to-uce
>        ;; Run hooks before we leave buffer for editing.  Reasonable usage
>        ;; might be to set up special key bindings, replace standard
>        ;; functions in mail-mode, etc.
> -      (run-hooks 'mail-setup-hook 'uce-setup-hook))))
> +      (run-hooks 'mail-setup-hook 'uce-setup-hook)))
> +  (pop-to-buffer (get-buffer-create "uce-reply-to-uce warning"))
> +  (insert "\
> +-- !!! NOTE !!! ---------------------------------------------

This should pop only once per Emacs session, not each time the command
is invoked.

I also think we should have in the Commentary section something like
this:

  ;; We don't recommend using this feature; see the message in
  ;; 'uce-reply-to-uce' for the reasons.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 15 Oct 2021 08:50:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 15 04:50:27 2021
Received: from localhost ([127.0.0.1]:38057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbIv5-0002KQ-71
	for submit <at> debbugs.gnu.org; Fri, 15 Oct 2021 04:50:27 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176]:34698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mbIv2-0002KC-4J
 for 46472 <at> debbugs.gnu.org; Fri, 15 Oct 2021 04:50:25 -0400
Received: by mail-pl1-f176.google.com with SMTP id g5so5990439plg.1
 for <46472 <at> debbugs.gnu.org>; Fri, 15 Oct 2021 01:50:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=3oausyzpJguBArJ/RS+qOnnIq7426JX3ITEAqWMjxz4=;
 b=t5oRntch4SIFI/6zoJgDN7Av+nTAPttHv70JsJbNFwB9RoHxs2Q9Vsd5BgsaVlF1o6
 8s6HO1H5i/Nf7w1K6SyBQzgJHGIwtTjwxPQuTdEVdP+wq3ChUOTm9SrHPjvSVbTgcC2M
 /300Js0Zj3aia1KodxqcSEk9TaBwx9gIFWwMnkvPA5+B4Vvgn9wv0tqofq+hyxS3WS6N
 IsTADEGDX+n/m8uIpTOYBDiIpr5lEuNIURJNUmrYBAoU4R9luavSIIQ9jh0bCVNkYsKa
 StnJlOseOUnVkbL7N1yzGjzEK1DYTS0PBemo/HnI/tnChiAsQ1ora/jLGqHML/9M/jUY
 +qNQ==
X-Gm-Message-State: AOAM5329nfg6/m60vzU5iUkqeTiWlDd+krU1o0OK4tb3hgww21KC03hC
 zu8n4kajS3YV56gOIjdbIsH+xUCYBsNsiZj0vTs=
X-Google-Smtp-Source: ABdhPJyBiKZKuQssfIEJvuuPcMpR4LhNptXUjYGCS9lWrYceO6f5qY+uavbw11wk0NP1ItTb1xIwEOG4OI8pjRXNxjQ=
X-Received: by 2002:a17:90a:245:: with SMTP id
 t5mr10735078pje.133.1634287818166; 
 Fri, 15 Oct 2021 01:50:18 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 15 Oct 2021 03:50:17 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83sfx2ke8m.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 <83sfx2ke8m.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 15 Oct 2021 03:50:17 -0500
Message-ID: <CADwFkm=kNYXHNZwah7_BC7=nMiJmWdDTCVmq-2TQ7U+vD5QnHg@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000dce90005ce6048e9"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000dce90005ce6048e9
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> I'd like to see the patch for master, please.

Please see the attached.

--000000000000dce90005ce6048e9
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="master-0001-Recommend-against-using-uce.el.patch"
Content-Disposition: attachment; 
	filename="master-0001-Recommend-against-using-uce.el.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 1c480c4da9236766_0.1
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--000000000000dce90005ce6048e9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 15 Oct 2021 06:14:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 15 02:14:17 2021
Received: from localhost ([127.0.0.1]:37829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbGTx-0006eV-Bl
	for submit <at> debbugs.gnu.org; Fri, 15 Oct 2021 02:14:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mbGTw-0006eH-01
 for 46472 <at> debbugs.gnu.org; Fri, 15 Oct 2021 02:14:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49080)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mbGTp-0003ll-Ej; Fri, 15 Oct 2021 02:14:09 -0400
Received: from [87.69.77.57] (port=3458 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mbGSh-0006Mv-4U; Fri, 15 Oct 2021 02:13:12 -0400
Date: Fri, 15 Oct 2021 09:12:57 +0300
Message-Id: <83sfx2ke8m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
 (message from Stefan Kangas on Thu, 14 Oct 2021 13:45:49 -0700)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
 <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Thu, 14 Oct 2021 13:45:49 -0700
> Cc: 46472 <at> debbugs.gnu.org, rgm@HIDDEN, monnier@HIDDEN
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Document: yes.  But your change modified the code as well, and more
> > importantly changed how the feature works.
> 
> This is what I suggest for emacs-28, note the "Do not merge to master"
> in the commit message.

This is okay for the release branch, thanks.

> On master, I suggest the same patch as before, but with the updated
> text that you can read here.

I'd like to see the patch for master, please.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 14 Oct 2021 20:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 16:45:58 2021
Received: from localhost ([127.0.0.1]:37206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb7by-0003Nf-By
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 16:45:58 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:47093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mb7bw-0003NT-Kl
 for 46472 <at> debbugs.gnu.org; Thu, 14 Oct 2021 16:45:57 -0400
Received: by mail-pj1-f44.google.com with SMTP id
 pi19-20020a17090b1e5300b0019fdd3557d3so5645871pjb.5
 for <46472 <at> debbugs.gnu.org>; Thu, 14 Oct 2021 13:45:56 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=837miJNW/2yJZJ8+sztpXvSVTmriC6EDxE/w5KkMOQg=;
 b=rNoGW9RiSn0wEAHEqG2AHP3YOqkTt9QTYCD18JZt0oOsq1VQkG4lAb10l+vJZVXFJj
 8IWxN4V80PXxfONYGT7MivRIMcnHvgxb3ri665c76699cunIq3bi1x3z98Bwj0d4pRsU
 89YnS1vh/dtESLcGpGNaP/VlD1dygvN2K1a+bUg8JcPT9GJG9MLRVgt0BmQHDlCDlSuA
 gmfwaucUaIN2pOx7h4r71ke8XRa3MK8a2qTMHmECWiujbxfi5ba7lRv3y3SHIJWtiVyA
 eKLSlbeqLz4qfDfz6a/uRQK3wuWbnd3JncB5YhaUEmToZoCgNFS3xjdKl7xpQNFn7mM2
 GXxQ==
X-Gm-Message-State: AOAM530xlFwtoXBFb5k+4zAXfIgMInkO3MUkxwXsYJOJ3ZXOtF7nbOor
 pV8fSkrnRy/Dyek0ezCVtaDS3zwQX+9G6W2ziow=
X-Google-Smtp-Source: ABdhPJytVHzD0j0+9KrQ73wOArUIq53R1bbJqkiMTaYbCtLA13nJJ8kQ2XVzrVmplSHv6F+tNeQRxbYdo4wAiaFjGO8=
X-Received: by 2002:a17:902:b691:b029:12d:2b6:d116 with SMTP id
 c17-20020a170902b691b029012d02b6d116mr6953829pls.71.1634244350810; Thu, 14
 Oct 2021 13:45:50 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 14 Oct 2021 13:45:49 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83fst6oz6v.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 <83fst6oz6v.fsf@HIDDEN>
MIME-Version: 1.0
Date: Thu, 14 Oct 2021 13:45:49 -0700
Message-ID: <CADwFkm=J89tnDfOyTNgZ5Zws8L5zdkvRFrirHTVrSyzPMkMz5w@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000001b89705ce562af9"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--00000000000001b89705ce562af9
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> Document: yes.  But your change modified the code as well, and more
> importantly changed how the feature works.

This is what I suggest for emacs-28, note the "Do not merge to master"
in the commit message.

On master, I suggest the same patch as before, but with the updated
text that you can read here.

--00000000000001b89705ce562af9
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Recommend-against-using-uce.el.patch"
Content-Disposition: attachment; 
	filename="0001-Recommend-against-using-uce.el.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 481020f972c9c352_0.1

RnJvbSBiYjU3NWYzOGI1NDYyNGQ5NzNlNzJhMDZhOTI3MmRiMmZiZTBjZjA2IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTdGVmYW4gS2FuZ2FzIDxzdGVmYW5AbWFyeGlzdC5zZT4KRGF0
ZTogVHVlLCAxMiBPY3QgMjAyMSAwNjozMDoyMCArMDIwMApTdWJqZWN0OiBbUEFUQ0hdIFJlY29t
bWVuZCBhZ2FpbnN0IHVzaW5nIHVjZS5lbAoKKiBsaXNwL21haWwvdWNlLmVsOiBSZWNvbW1lbmQg
YWdhaW5zdCBpdHMgdXNlLiAgKEJ1ZyM0NjQ3MikKRG8gbm90IG1lcmdlIHRvIG1hc3Rlci4KLS0t
CiBsaXNwL21haWwvdWNlLmVsIHwgMjEgKysrKysrKysrKysrKysrKysrKysrCiAxIGZpbGUgY2hh
bmdlZCwgMjEgaW5zZXJ0aW9ucygrKQoKZGlmZiAtLWdpdCBhL2xpc3AvbWFpbC91Y2UuZWwgYi9s
aXNwL21haWwvdWNlLmVsCmluZGV4IGIwNzAwNGRlMzguLjBhNDg4ZTE3NmYgMTAwNjQ0Ci0tLSBh
L2xpc3AvbWFpbC91Y2UuZWwKKysrIGIvbGlzcC9tYWlsL3VjZS5lbApAQCAtMzAsNiArMzAsMjcg
QEAKIDs7IHVjZS1yZXBseS10by11Y2UuICBQbGVhc2UgbGV0IG1lIGtub3cgYWJvdXQgeW91ciBj
aGFuZ2VzIHNvIEkgY2FuCiA7OyBpbmNvcnBvcmF0ZSB0aGVtLiAgSSdkIGFwcHJlY2lhdGUgaXQu
CiAKKzs7IC0tICEhISBOT1RFICEhISAtLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0t
LS0tLS0tLS0tLS0KKzs7Cis7OyBSZXBseWluZyB0byBzcGFtIGlzIGF0IGJlc3QgcG9pbnRsZXNz
LCBidXQgbW9zdCBsaWtlbHkgYWN0aXZlbHkKKzs7IGhhcm1mdWwuCis7OworOzsgLSBZb3Ugd2ls
bCBjb25maXJtIHRoYXQgeW91ciBlbWFpbCBhZGRyZXNzIGlzIHZhbGlkLCB0aHVzIGVuc3VyaW5n
Cis7OyAgIHlvdSBnZXQgbW9yZSBzcGFtLgorOzsKKzs7IC0gWW91IHdpbGwgbGVhayBpbmZvcm1h
dGlvbiBhbmQgb3BlbiB5b3Vyc2VsZiB1cCBmb3IgZnVydGhlcgorOzsgICBhdHRhY2suICBGb3Ig
ZXhhbXBsZSwgdGhleSBjb3VsZCB1c2UgeW91ciBcImdlb2xvY2F0aW9uXCIgdG8gZmluZAorOzsg
ICB5b3VyIGhvbWUgYWRkcmVzcyBhbmQgcGhvbmUgbnVtYmVyLgorOzsKKzs7IC0gVGhlIHNlbmRl
ciBhZGRyZXNzIGlzIGxpa2VseSBmYWtlLgorOzsKKzs7IC0gWW91IGhlbHAgdGhlbSByZWZpbmUg
dGhlaXIgbWV0aG9kcyBvZiBzcGFtbWluZy4KKzs7Cis7OyBUaGVyZWZvcmUsIHdlIHN0cm9uZ2x5
IHJlY29tbWVuZCB0aGF0IHlvdSBkbyBub3QgdXNlIHRoaXMgcGFja2FnZS4KKzs7IFVzZSBhIHNw
YW0gZmlsdGVyIGluc3RlYWQsIG9yIGp1c3QgZGVsZXRlIHRoZSBzcGFtLgorOzsKKzs7IC0tLS0t
LS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0tLS0K
KwogOzsgVGhlIGNvbW1hbmQgdWNlLXJlcGx5LXRvLXVjZSwgaWYgY2FsbGVkIHdoZW4gdGhlIGN1
cnJlbnQgbWVzc2FnZQogOzsgYnVmZmVyIGlzIGEgVUNFLCB3aWxsIHNldHVwIGEgcmVwbHkgKm1h
aWwqIGJ1ZmZlciBhcyBmb2xsb3dzLiAgSXQKIDs7IHNjYW5zIHRoZSBmdWxsIGhlYWRlcnMgb2Yg
dGhlIG1lc3NhZ2UgZm9yOiAxKSB0aGUgbm9ybWFsIHJldHVybgotLSAKMi4zMC4yCgo=
--00000000000001b89705ce562af9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 18:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 14:50:49 2021
Received: from localhost ([127.0.0.1]:53538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maMrR-0005uu-0z
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 14:50:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maMrP-0005ug-U1
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 14:50:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52332)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maMrJ-0001xt-Es; Tue, 12 Oct 2021 14:50:41 -0400
Received: from [87.69.77.57] (port=1725 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maMql-0001hZ-Fs; Tue, 12 Oct 2021 14:50:40 -0400
Date: Tue, 12 Oct 2021 21:50:00 +0300
Message-Id: <83fst6oz6v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
 (message from Stefan Kangas on Tue, 12 Oct 2021 10:29:16 -0700)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
 <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 12 Oct 2021 10:29:16 -0700
> Cc: 46472 <at> debbugs.gnu.org, rgm@HIDDEN, monnier@HIDDEN
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> I'd suggest installing the change as attached on emacs-28.  If that's
> >> not possible, I'd like to install it on master, but add the same text to
> >> the package "Commentary" section on emacs-28.
> >
> > On master, please.
> 
> It is really unfortunate if we can't even document serious security and
> privacy issues in Emacs 28 at this point.

Document: yes.  But your change modified the code as well, and more
importantly changed how the feature works.

> I do not see how such documentation could possibly affect the
> release date.

The release branch is closed for any behavior changes, except the ones
that are strictly necessary to fix some bug (and even those last ones
only if they are safe enough).

> It is hammering home the point

Please don't hammer.  Say it once, clearly and concisely, and
preferably without implying that the user who might want to use it has
a death wish.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 17:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 13:29:32 2021
Received: from localhost ([127.0.0.1]:52294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLae-0000Sx-BI
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:29:32 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:37773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maLac-0000Sb-Br
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:29:23 -0400
Received: by mail-pf1-f173.google.com with SMTP id q19so169859pfl.4
 for <46472 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 10:29:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=KRX21KIRVUjzkpvVkygKWNQ8DTlXbFYZKpppg8m2ExI=;
 b=lqKJodhGOucDgjUEDmqVCMS7FShbQNZAUdMcKc8/KhJ/9LoTJidP3S3wjLip9Scf8Y
 CgmJjxh0T67ve0VGdjWRmK0aZQ1AgZmCxrVN6qTZ4dL0n4ipD33GSXOWWGui5y/Ol54z
 izzHnMGB66gOr8Je1m97wBb3Dke6rIR3xgUX8r55boh4R/poGbT+p5P1tzePG0/l9NqB
 HQwj4rgke9pKg6jQrxFHT28LIFgfiVqum9JvxIRfFfFMORcYfZLxhJ4zY3dr6s0Saw52
 cvDnLDIrKiCI3HYYxZml7dO+wNddVv0nTe0Zu6kbHyVNvF7Wbk1ti8MFbewlWyYOUaVn
 lxZQ==
X-Gm-Message-State: AOAM533FMLldbPq3Ukoho4MLS7gOTCulLRuYY9fS6VRXMp1gi/mGpaSS
 LldBm0Bb9O0/n5a7/xy+8uk3MUI3J+fN4IqE75He1E6X
X-Google-Smtp-Source: ABdhPJygknspJrnQY3hXSPNtewQ3jtZjV4Cv1eTcFiIZlQwlhAvanOEuB85vFOw8QHFvqI11IWxXZhjgQ1JZ4Gz7vuM=
X-Received: by 2002:a05:6a00:1586:b0:447:b30c:4a65 with SMTP id
 u6-20020a056a00158600b00447b30c4a65mr32726004pfk.0.1634059756749; Tue, 12 Oct
 2021 10:29:16 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 10:29:16 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83pmsap50e.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 <83pmsap50e.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 10:29:16 -0700
Message-ID: <CADwFkmkwUzuMSf13Vow5E9BgK_3utdWZeeGRdV0NOvGDKaeWiA@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I'd suggest installing the change as attached on emacs-28.  If that's
>> not possible, I'd like to install it on master, but add the same text to
>> the package "Commentary" section on emacs-28.
>
> On master, please.

It is really unfortunate if we can't even document serious security and
privacy issues in Emacs 28 at this point.  I do not see how such
documentation could possibly affect the release date.

> And I don't see why have the same text twice.

I removed the duplicates in the new patch.  Did I send the wrong patch?

Or maybe my suggestion was not clear:

- Emacs 28: Documentation changes only.  Do not merge to master.
- Emacs 29: Warning only, no documentation changes.

>> +- You will confirm that your email address is valid, thus ensuring
>> +  you get more spam.
>> +
>> +- You will leak information (e.g. on your email server and
>> +  setup), thus opening yourself up for further attack.  They are
>> +  likely to find your IP and \"geolocation\"), which often makes
>> +  it trivial to find e.g. your home address and phone number.
>
> The first paragraph is a special case of the second one.

Yes, it is also the one that immediately shows why this is
counter-productive, so it is worth making into its own item.

>> +- You confirm that the email did not land in your spam folder.
>> +  (This helps them refine their methods of spamming.)
>
> This is also the same as what you already said.

It is subtly different:

1. Spammers can use the information that your address is valid.

2. They can also use the information that their email has been crafted
   in such a way that they can evade some spam filters.

>> +- Scammers have been known to threaten, intimidate, and use other
>> +  forms of criminal manipulation.  Replying to spam can lead down
>> +  a path that you may not want to be on.
>
> This is the same as "open yourself to ..." paragraph.

It is hammering home the point to a certain extent, sure.  I think it is
motivated and useful.  There is no specific reason to keep this text
very brief: it is much more important that it accurately conveys the
dangers involved.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 16:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 12:44:40 2021
Received: from localhost ([127.0.0.1]:51257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maKtM-0004hE-JK
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:44:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maKtE-0004gW-IU
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:44:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48188)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maKt8-0003Vd-7l; Tue, 12 Oct 2021 12:44:26 -0400
Received: from [87.69.77.57] (port=1713 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maKt7-0005tN-9x; Tue, 12 Oct 2021 12:44:25 -0400
Date: Tue, 12 Oct 2021 19:44:17 +0300
Message-Id: <83pmsap50e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
 (message from Stefan Kangas on Tue, 12 Oct 2021 09:12:02 -0700)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
 <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 12 Oct 2021 09:12:02 -0700
> Cc: 46472 <at> debbugs.gnu.org, rgm@HIDDEN, monnier@HIDDEN
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > No, please leave unnecessary changes out of emacs-28.
> 
> Even documentation changes?

These are not just documentation changes, these are changes of the
semantics of the package.  It's not like they are typos or
inaccuracies in the documentation.  And the new defcustom is
definitely not a documentation change.

> I'd suggest installing the change as attached on emacs-28.  If that's
> not possible, I'd like to install it on master, but add the same text to
> the package "Commentary" section on emacs-28.

On master, please.  And I don't see why have the same text twice.

> > So I think the same message could be usefully conveyed with much fewer
> > words.
> 
> I've tried shortening it in the attached.

It is still too repetitive, IMO:

> +- You will confirm that your email address is valid, thus ensuring
> +  you get more spam.
> +
> +- You will leak information (e.g. on your email server and
> +  setup), thus opening yourself up for further attack.  They are
> +  likely to find your IP and \"geolocation\"), which often makes
> +  it trivial to find e.g. your home address and phone number.

The first paragraph is a special case of the second one.

> +- The sender address is likely fake.  The abuse@domain is
> +  unlikely to be able to do anything.
> +
> +- You open yourself up to various kinds of social engineering.
> +
> +- You confirm that the email did not land in your spam folder.
> +  (This helps them refine their methods of spamming.)

This is also the same as what you already said.

> +- Scammers have been known to threaten, intimidate, and use other
> +  forms of criminal manipulation.  Replying to spam can lead down
> +  a path that you may not want to be on.

This is the same as "open yourself to ..." paragraph.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 16:12:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 12:12:11 2021
Received: from localhost ([127.0.0.1]:50377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maKNv-00039w-9v
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:12:11 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:33550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1maKNt-00039S-ET
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 12:12:09 -0400
Received: by mail-pg1-f182.google.com with SMTP id a73so14359846pge.0
 for <46472 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 09:12:09 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=uSRU5grj5MKmOXFHkY4R/XKNIBaEi4Vrq6WJDwxajnY=;
 b=XIDhmzAG9Hzqmjv6ggkGhnZNwUa7GzInyUoUbDQ9lPr8ZUfbOpyPfEVmzELqqSYWIy
 hIWHzd+pUKg41a3S4akfWXYnsYVz85bNVtvigt/6TPvunCir3X2Ntq9aODtUmT2uEPYX
 PCgVFu8gkH8t5iDUiSDGP08fZUqSGuXql66WLi962inAHDI+fF27dqogNd/Vr1aCSRaZ
 PgWUSaMYO2wik0MAGCdKBT5qW6YLJWPoplRdlHrrCN9xjOy1BiBxGy9VxL96NgRCQBzJ
 1IcbyC9wDxOVbJKw81Dn6+uMBCyvUuGUx+hKxmX+PKr4t03K32V9UJ9XYXWbR2C7MZST
 Pe6A==
X-Gm-Message-State: AOAM532mwCKiFuHSAOKFlwZgi7HfxSLYliCXtFlDHnmgysvifnuoro2d
 35drBqGLCDK4otuYtPVbmssp20RHdJRoWz82XEI=
X-Google-Smtp-Source: ABdhPJw5x2n5PvfIps0iMLnKYq0Fu2tZx3is0QXV/5kz60i5GtsfRsWaB4pVFeYc7WVjsep7+cxLhVHmlhpInO5O9qg=
X-Received: by 2002:aa7:978b:0:b0:44c:abf1:a8b8 with SMTP id
 o11-20020aa7978b000000b0044cabf1a8b8mr32647724pfp.35.1634055123421; Tue, 12
 Oct 2021 09:12:03 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 12 Oct 2021 09:12:02 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83czoaqrjq.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 <83czoaqrjq.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 12 Oct 2021 09:12:02 -0700
Message-ID: <CADwFkmnPJ90Gf00y0DjA1ywvhG=EDOk4cGXC_UvW55yujmwuEg@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000002ce65605ce2a1bb4"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000002ce65605ce2a1bb4
Content-Type: text/plain; charset="UTF-8"

Eli Zaretskii <eliz@HIDDEN> writes:

> No, please leave unnecessary changes out of emacs-28.

Even documentation changes?

I'd suggest installing the change as attached on emacs-28.  If that's
not possible, I'd like to install it on master, but add the same text to
the package "Commentary" section on emacs-28.

> I would leave the original text intact, as dividing it into two splits
> the description of the package, and the additional text is too long to
> keep the beginning in mind.

OK.

> So I think the same message could be usefully conveyed with much fewer
> words.

I've tried shortening it in the attached.

>> +(defcustom uce-i-want-to-use-this nil
>> +  "Non-nil means that you don't want the warning message about this package.
>> +See `uce-reply-to-uce' for background."
>> +  :type 'boolean
>> +  :version "28.1")
>
> This is redundant, since users that don't want this should not load
> the package.

OK, I'm fine with a non-optional warning.

> Why the same text again?
[...]
> And again?

So these were the three entry points I see: `describe-package', `C-h f',
and running the command.  It is true that it should be enough to just
show the warning when running the command.

--0000000000002ce65605ce2a1bb4
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Recommend-against-using-uce.el.patch"
Content-Disposition: attachment; 
	filename="0001-Recommend-against-using-uce.el.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: e486e9a656f7cfb6_0.1
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--0000000000002ce65605ce2a1bb4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 13:52:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 09:52:29 2021
Received: from localhost ([127.0.0.1]:40150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maICj-0007jF-C0
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 09:52:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1maICe-0007is-TH
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 09:52:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40082)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1maICY-00075l-AP; Tue, 12 Oct 2021 09:52:18 -0400
Received: from [87.69.77.57] (port=2996 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1maICX-0004kh-SY; Tue, 12 Oct 2021 09:52:18 -0400
Date: Tue, 12 Oct 2021 16:52:09 +0300
Message-Id: <83czoaqrjq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
 (message from Stefan Kangas on Mon, 11 Oct 2021 21:33:31 -0700)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
 <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, monnier@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 11 Oct 2021 21:33:31 -0700
> Cc: 46472 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>, 
> 	Stefan Monnier <monnier@HIDDEN>
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > The method of "recommendation" you propose is too strong for my
> > palate, sorry.  In general, I believe that people should be left to
> > their devices unless what they do causes harm to others.
> > Second-guessing other people under the assumption that we know better
> > is something I don't like doing, and don't like others doing to me.
> >
> > How about adding some warnings to uce.el instead, either in the
> > commentary or when the main entry point is invoked for the first time
> > in a session?
> 
> Is this okay for emacs-28?

No, please leave unnecessary changes out of emacs-28.

>  ;; The code in this file provides a semi-automatic means of replying
> -;; to unsolicited commercial email (UCE) you might get.  Currently, it
> -;; only works with Rmail and Gnus.  If you would like to make it work
> -;; with other mail readers, see the mail-client dependent section of
> -;; uce-reply-to-uce.  Please let me know about your changes so I can
> -;; incorporate them.  I'd appreciate it.
> +;; to unsolicited commercial email (UCE) you might get.

I would leave the original text intact, as dividing it into two splits
the description of the package, and the additional text is too long to
keep the beginning in mind.

> +;; -- !!! NOTE !!! --------------------------------------------
> +;;
> +;; Replying to spam is at best pointless, but most likely actively
> +;; harmful.
> +;;
> +;; - You will confirm that your email address is valid, thus ensuring
> +;;   you get more spam.  Spammers use tricks like getting you to reply
> +;;   and/or clicking unsubscribe links, etc. to confirm that you
> +;;   should stay on their lists.
> +;;
> +;; - You will leak information (e.g. on your email server and setup),
> +;;   thus opening yourself up for further attack.  More importantly,
> +;;   they are likely to find your IP, thus your physical location (see
> +;;   "geolocation"), and by combining that data with your name it
> +;;   should be trivial to find e.g. your home address and phone
> +;;   number.

These two paragraphs basically says the same, so you could say the
same more concisely and to the point by combining them.

> +;; - You open yourself up to various kinds of social engineering.
> +;;   This could be the first in a planned exchange where they will
> +;;   attempt to trick you to divulge sensitive information.
> +;;
> +;; - You confirm that the email landed in your inbox, and not the spam
> +;;   folder.  This confirms to them that their current method of
> +;;   spamming is useful, and helps them continue.

These two just reiterate what you already said.

> +;; - Scammers have been known to threaten, intimidate, and use other
> +;;   forms of criminal manipulation.  Be aware that replying to spam
> +;;   can lead down a path that you may not want to be on.

Likewise.

So I think the same message could be usefully conveyed with much fewer
words.

> +(defcustom uce-i-want-to-use-this nil
> +  "Non-nil means that you don't want the warning message about this package.
> +See `uce-reply-to-uce' for background."
> +  :type 'boolean
> +  :version "28.1")

This is redundant, since users that don't want this should not load
the package.

> @@ -218,7 +266,44 @@ uce-reply-to-uce
>    "Compose a reply to unsolicited commercial email (UCE).
>  Sets up a reply buffer addressed to: the sender, his postmaster,
>  his abuse@ address, and the postmaster of the mail relay used.
> -You might need to set `uce-mail-reader' before using this."
> +You might need to set `uce-mail-reader' before using this.
> +
> +-- !!! NOTE !!! --------------------------------------------
> +
> +Replying to spam is at best pointless, but most likely actively
> +harmful.

Why the same text again?

> +  (unless uce-i-want-to-use-this
> +    (pop-to-buffer (get-buffer-create "uce-reply-to-uce warning"))
> +    (insert "-- !!! NOTE !!! --------------------------------------------

And again?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.
Added tag(s) security. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'normal' from 'wishlist' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 12 Oct 2021 04:33:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 00:33:39 2021
Received: from localhost ([127.0.0.1]:33146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ma9Tv-0005IE-AV
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 00:33:39 -0400
Received: from mail-pf1-f169.google.com ([209.85.210.169]:43604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ma9Tt-0005I1-Tz
 for 46472 <at> debbugs.gnu.org; Tue, 12 Oct 2021 00:33:38 -0400
Received: by mail-pf1-f169.google.com with SMTP id 187so16531583pfc.10
 for <46472 <at> debbugs.gnu.org>; Mon, 11 Oct 2021 21:33:37 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=zt8Fo15OLsHXuPhkEDDx5tTiNAkiqnb7fCVcvHbgssA=;
 b=jtqzeikBN0Ih8fIyW/SZQkFE41e9eJN8qCuHXlPRByQNix+YypmL+FnH33iLz6QGZg
 Jf5a1IhE1ByBSzT5O10NJFV2vwmP24w66pOJkHZiUbsUZJUOo8NmUK7EBDWdN+9aLrJc
 1cgU+NNUNZ/+emo8vsvfoptK/h+DWqsHD8N9tZM2AHdYKKeBLynpT9702wiTw64G6Gx+
 5nQCUveAzW4+EGWUB83oqDNSv0tZNKf8ZgAvXJJCrU1okoyIkmVphmKlrVb5R+/1b62R
 H9HGblu9+QwXiQPyr2ABLQ647a7322PJlLf+AN7BVKlbwXa+GxsxEQeggxhCBdf5kIK/
 vSkw==
X-Gm-Message-State: AOAM531huf9ytang4tXZsyARYs4POHWxZ2nIVEUL9yU89ZYh6FrB9npE
 xfgq+lYVrcxQ0RBUWoMFCseDNMszmR5gQJ+xTPs=
X-Google-Smtp-Source: ABdhPJz8HEuwPv603cIGRZt0xItEQ/3tmbQIxTiDzQWm5QDhHVH9St8v2SAWdlhuzBVfosmvhb4957CWcfvlRLMC16M=
X-Received: by 2002:a63:7e11:: with SMTP id z17mr21173403pgc.114.1634013211716; 
 Mon, 11 Oct 2021 21:33:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 11 Oct 2021 21:33:31 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83mtw8cbku.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 13 Feb
 2021 16:00:01 +0200")
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Mon, 11 Oct 2021 21:33:31 -0700
Message-ID: <CADwFkmn84Lxr6d=x9nDuSd+j8U00XHHxjhyXwVStBG7vM+MBbw@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: Glenn Morris <rgm@HIDDEN>, Stefan Monnier <monnier@HIDDEN>,
 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> The method of "recommendation" you propose is too strong for my
> palate, sorry.  In general, I believe that people should be left to
> their devices unless what they do causes harm to others.
> Second-guessing other people under the assumption that we know better
> is something I don't like doing, and don't like others doing to me.
>
> How about adding some warnings to uce.el instead, either in the
> commentary or when the main entry point is invoked for the first time
> in a session?

Is this okay for emacs-28?

diff --git a/lisp/mail/uce.el b/lisp/mail/uce.el
index b07004de38..611181ca61 100644
--- a/lisp/mail/uce.el
+++ b/lisp/mail/uce.el
@@ -24,11 +24,53 @@
 ;;; Commentary:

 ;; The code in this file provides a semi-automatic means of replying
-;; to unsolicited commercial email (UCE) you might get.  Currently, it
-;; only works with Rmail and Gnus.  If you would like to make it work
-;; with other mail readers, see the mail-client dependent section of
-;; uce-reply-to-uce.  Please let me know about your changes so I can
-;; incorporate them.  I'd appreciate it.
+;; to unsolicited commercial email (UCE) you might get.
+
+;; -- !!! NOTE !!! --------------------------------------------
+;;
+;; Replying to spam is at best pointless, but most likely actively
+;; harmful.
+;;
+;; - You will confirm that your email address is valid, thus ensuring
+;;   you get more spam.  Spammers use tricks like getting you to reply
+;;   and/or clicking unsubscribe links, etc. to confirm that you
+;;   should stay on their lists.
+;;
+;; - You will leak information (e.g. on your email server and setup),
+;;   thus opening yourself up for further attack.  More importantly,
+;;   they are likely to find your IP, thus your physical location (see
+;;   "geolocation"), and by combining that data with your name it
+;;   should be trivial to find e.g. your home address and phone
+;;   number.
+;;
+;; - The sender address is likely fake.  (For example, you might
+;;   unwittingly participate in flooding someones mailbox.  The
+;;   abuse@domain and postmaster@domain is unlikely to be able to act
+;;   on your reply.)
+;;
+;; - You open yourself up to various kinds of social engineering.
+;;   This could be the first in a planned exchange where they will
+;;   attempt to trick you to divulge sensitive information.
+;;
+;; - You confirm that the email landed in your inbox, and not the spam
+;;   folder.  This confirms to them that their current method of
+;;   spamming is useful, and helps them continue.
+;;
+;; - Scammers have been known to threaten, intimidate, and use other
+;;   forms of criminal manipulation.  Be aware that replying to spam
+;;   can lead down a path that you may not want to be on.
+;;
+;; Therefore, we strongly recommend that you do not use this package.
+;; Use a spam filter instead, or just delete the spam.
+;;
+;; If you still want to use it, read on.
+;;
+;; ------------------------------------------------------------
+
+;; Currently, it only works with Rmail and Gnus.  If you would like to
+;; make it work with other mail readers, see the mail-client dependent
+;; section of uce-reply-to-uce.  Please let me know about your changes so
+;; I can incorporate them.  I'd appreciate it.

 ;; The command uce-reply-to-uce, if called when the current message
 ;; buffer is a UCE, will setup a reply *mail* buffer as follows.  It
@@ -204,6 +246,12 @@ uce-subject-line
   "Subject of the message that will be sent in response to a UCE."
   :type 'string)

+(defcustom uce-i-want-to-use-this nil
+  "Non-nil means that you don't want the warning message about this package.
+See `uce-reply-to-uce' for background."
+  :type 'boolean
+  :version "28.1")
+
 ;; End of user options.


@@ -218,7 +266,44 @@ uce-reply-to-uce
   "Compose a reply to unsolicited commercial email (UCE).
 Sets up a reply buffer addressed to: the sender, his postmaster,
 his abuse@ address, and the postmaster of the mail relay used.
-You might need to set `uce-mail-reader' before using this."
+You might need to set `uce-mail-reader' before using this.
+
+-- !!! NOTE !!! --------------------------------------------
+
+Replying to spam is at best pointless, but most likely actively
+harmful.
+
+- You will confirm that your email address is valid, thus ensuring
+  you get more spam.  Spammers use tricks like getting you to reply
+  and/or clicking unsubscribe links, etc. to confirm that you
+  should stay on their lists.
+
+- You will leak information (e.g. on your email server and setup),
+  thus opening yourself up for further attack.  More importantly,
+  they are likely to find your IP, thus your physical location (see
+  \"geolocation\"), and by combining that data with your name it
+  should be trivial to find e.g. your home address and phone
+  number.
+
+- The sender address is likely fake.  (For example, you might
+  unwittingly participate in flooding someones mailbox.  The
+  abuse@domain and postmaster@domain is unlikely to be able to act
+  on your reply.)
+
+- You open yourself up to various kinds of social engineering.
+  This could be the first in a planned exchange where they will
+  attempt to trick you to divulge sensitive information.
+
+- You confirm that the email landed in your inbox, and not the spam
+  folder.  This confirms to them that their current method of
+  spamming is useful, and helps them continue.
+
+- Scammers have been known to threaten, intimidate, and use other
+  forms of criminal manipulation.  Be aware that replying to spam
+  can lead down a path that you may not want to be on.
+
+Therefore, we strongly recommend that you do not use this package.
+Use a spam filter instead, or just delete the spam."
   (interactive)
   ;; Start of mail-client dependent section.
   (let ((message-buffer
@@ -358,7 +443,49 @@ uce-reply-to-uce
       ;; Run hooks before we leave buffer for editing.  Reasonable usage
       ;; might be to set up special key bindings, replace standard
       ;; functions in mail-mode, etc.
-      (run-hooks 'mail-setup-hook 'uce-setup-hook))))
+      (run-hooks 'mail-setup-hook 'uce-setup-hook)))
+  (unless uce-i-want-to-use-this
+    (pop-to-buffer (get-buffer-create "uce-reply-to-uce warning"))
+    (insert "-- !!! NOTE !!! --------------------------------------------
+
+Replying to spam is at best pointless, but most likely actively
+harmful.
+
+- You will confirm that your email address is valid, thus ensuring
+  you get more spam.  Spammers use tricks like getting you to reply
+  and/or clicking unsubscribe links, etc. to confirm that you
+  should stay on their lists.
+
+- You will leak information (e.g. on your email server and setup),
+  thus opening yourself up for further attack.  More importantly,
+  they are likely to find your IP, thus your physical location (see
+  \"geolocation\"), and by combining that data with your name it
+  should be trivial to find e.g. your home address and phone
+  number.
+
+- The sender address is likely fake.  (For example, you might
+  unwittingly participate in flooding someones mailbox.  The
+  abuse@domain and postmaster@domain is unlikely to be able to act
+  on your reply.)
+
+- You open yourself up to various kinds of social engineering.
+  This could be the first in a planned exchange where they will
+  attempt to trick you to divulge sensitive information.
+
+- You confirm that the email landed in your inbox, and not the spam
+  folder.  This confirms to them that their current method of
+  spamming is useful, and helps them continue.
+
+- Scammers have been known to threaten, intimidate, and use other
+  forms of criminal manipulation.  Be aware that replying to spam
+  can lead down a path that you may not want to be on.
+
+Therefore, we strongly recommend that you do not use this package.
+Use a spam filter instead, or just delete the spam.
+
+Customize the variable `uce-i-want-to-use-this' if you do not
+want to see this message.
+")))

 (defun uce-insert-ranting (&optional _ignored)
   "Insert text of the usual reply to UCE into current buffer."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 6 Mar 2021 17:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 12:26:02 2021
Received: from localhost ([127.0.0.1]:38195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIaga-0000wW-BZ
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2021 12:26:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lIagY-0000wJ-AD
 for 46472 <at> debbugs.gnu.org; Sat, 06 Mar 2021 12:25:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42506)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lIagS-0006vL-Np; Sat, 06 Mar 2021 12:25:44 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3307
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lIagN-0003kY-NK; Sat, 06 Mar 2021 12:25:40 -0500
Date: Sat, 06 Mar 2021 19:25:26 +0200
Message-Id: <83zgzgurcp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmX6tS1TSfsTJzmcw0mNE8vpS7otrL0c4VaBjvKe-CJaA@HIDDEN>
 (message from Stefan Kangas on Sat, 6 Mar 2021 11:14:13 -0600)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN> <1br1ku3eji.fsf@HIDDEN>
 <83sg5azkr3.fsf@HIDDEN>
 <CADwFkmmX6tS1TSfsTJzmcw0mNE8vpS7otrL0c4VaBjvKe-CJaA@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: rgm@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sat, 6 Mar 2021 11:14:13 -0600
> Cc: 46472 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I don't see how our views on what is and isn't appropriate response to
> > spam should be mandatory for the few users who may disagree.
> 
> Moving this to obsolete/ does not make it mandatory for anyone to do
> anything.  It is not within our power to do that; one of the freedoms
> granted by the GPL is to run the program for any purpose.

Moving it to obsolete/ will make using it an annoyance.  If I were one
of those who for some reason use this package, I'd resent that move.
What I resent when done to myself I prefer we don't do to others.

> AFAIK, nowhere in the GPL, the GNU Manifesto etc. does it say that it is
> contrary to the spirit of free software to make useless features
> obsolete.

That this feature is obsolete is one opinion.  Even if that opinion is
predominant, it doesn't mean different opinions aren't possible, let
alone legitimate.

It is IMO condescending to force our views on others.

> > Is there any other, more modern method we support to respond to spam?
> 
> Yes, I listed some of them in my previous reply.

And I already said most of the above in my previous replies.  But we
are still arguing, for some reason that evades me.

Bottom line: I find obsolescence to be inappropriate for this kind of
situations.  If we want to warn users against responding to spam, we
should find a different way of doing that.  Like we do with
lib-src/movemail, for example.  (For some reason, ISTR I already said
that as well.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 6 Mar 2021 17:14:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 12:14:21 2021
Received: from localhost ([127.0.0.1]:38182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIaVR-0000eu-NJ
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2021 12:14:21 -0500
Received: from mail-pj1-f41.google.com ([209.85.216.41]:46867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lIaVQ-0000ei-69
 for 46472 <at> debbugs.gnu.org; Sat, 06 Mar 2021 12:14:20 -0500
Received: by mail-pj1-f41.google.com with SMTP id
 q6-20020a17090a4306b02900c42a012202so869831pjg.5
 for <46472 <at> debbugs.gnu.org>; Sat, 06 Mar 2021 09:14:20 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=X/GK9WjvqzOMjfyyM/iPgNu045M4nxmF0Pk3KWjREfM=;
 b=SSj0sCoEqtdnHRLjfqxL1Ibfk/N3aB82BxyLhf5kBIU00v1rq4+JT2hwtn3BR/wsq1
 6rHCkGaSshqwXrli+q0DRjsTpFtokOA4xH++iXfqT4x6cHCrEvDys0x2I5W77jiHsrcm
 slZ3xF9KCCgSo2pEYEvOrjOxzdLYfZGvmON/F42Xcb1Ma5EPfKvpM41VCq4KcRG/ic73
 gWvDzbrlOc+P71Dv1AO79+UtmtlP8/m9gOJF62p4jUcsRdYhowKAIwt6nguP9bqPZnmo
 Vu1ypXmZP6uYUlFkVkd3MPbChEgi7Rm6r5TJQZtHuWMv8lhEbF7sZNDFk0SKSbtuttv2
 MgHw==
X-Gm-Message-State: AOAM532N3lii7jdBu1eVotDyBg7q/GhX76jvpXI9eQBwyHynbhtyY5b5
 wgjUk72kN335DW++2DUU0rEVE0y0Xs4N1j8YKs88uF0izNs=
X-Google-Smtp-Source: ABdhPJzTTqsi1s49nFoT98DeKpftztNNhLeulYOCufe7IsPfXU71mVRbVVT1LslaBvGUrvsU6lwRquvwea/xJj5hPSo=
X-Received: by 2002:a17:90a:c249:: with SMTP id
 d9mr16514491pjx.104.1615050854097; 
 Sat, 06 Mar 2021 09:14:14 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 6 Mar 2021 11:14:13 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83sg5azkr3.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN> <1br1ku3eji.fsf@HIDDEN>
 <83sg5azkr3.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 6 Mar 2021 11:14:13 -0600
Message-ID: <CADwFkmmX6tS1TSfsTJzmcw0mNE8vpS7otrL0c4VaBjvKe-CJaA@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>, Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> I don't see how our views on what is and isn't appropriate response to
> spam should be mandatory for the few users who may disagree.

Moving this to obsolete/ does not make it mandatory for anyone to do
anything.  It is not within our power to do that; one of the freedoms
granted by the GPL is to run the program for any purpose.

> This is free software, users are free to do whatever they want with
> it.

I can't see what this has to do with the principles of Free Software.

AFAIK, nowhere in the GPL, the GNU Manifesto etc. does it say that it is
contrary to the spirit of free software to make useless features
obsolete.

> Is there any other, more modern method we support to respond to spam?

Yes, I listed some of them in my previous reply.  Not that I understand
why this is pertinent, as we have already established that doing that is
useless and/or harmful.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 4 Mar 2021 21:12:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 16:12:47 2021
Received: from localhost ([127.0.0.1]:60464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHvH5-00084x-G6
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 16:12:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHvH1-00084h-RU
 for 46472 <at> debbugs.gnu.org; Thu, 04 Mar 2021 16:12:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42099)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHvGw-0004Km-9l; Thu, 04 Mar 2021 16:12:38 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2319
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHvGs-00061u-HR; Thu, 04 Mar 2021 16:12:35 -0500
Date: Thu, 04 Mar 2021 23:12:16 +0200
Message-Id: <83sg5azkr3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <1br1ku3eji.fsf@HIDDEN> (message from Glenn Morris on
 Thu, 04 Mar 2021 14:27:29 -0500)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN> <1br1ku3eji.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: stefan@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: Stefan Kangas <stefan@HIDDEN>,  46472 <at> debbugs.gnu.org
> Date: Thu, 04 Mar 2021 14:27:29 -0500
> 
> Replying to spam is at best pointless, but most likely actively harmful.
> Emacs having a package to help you reply to spam is at best pointless,
> but most likely actively harmful.

Yes, Stefan already said that up-thread.  I don't see how our views on
what is and isn't appropriate response to spam should be mandatory for
the few users who may disagree.  This is free software, users are free
to do whatever they want with it.  Which is also something I already
said, so I don't see why do we need to reiterate the same arguments
without saying anything new.

> This is one of the many things that makes Emacs look antiquated.

Why "antiquated"?  Is there any other, more modern method we support
to respond to spam?

> I find the refusal to even obsolete such things demotivating for working
> on Emacs. So IMO the cost for keeping such things around is non-zero.

I sympathize with your feelings, but feelings aren't limited to one
side in a disagreement, and you are not the only one who finds this
and similar disputes demotivating.  Which is why I think we should try
to stay technical and not emotional.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 4 Mar 2021 19:27:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 14:27:56 2021
Received: from localhost ([127.0.0.1]:60276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHtdc-0005Uc-FU
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:27:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lHtdb-0005UQ-44
 for 46472 <at> debbugs.gnu.org; Thu, 04 Mar 2021 14:27:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39885)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lHtdV-0001TJ-Fa; Thu, 04 Mar 2021 14:27:49 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lHtdB-0007xE-W8; Thu, 04 Mar 2021 14:27:31 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 <83mtw8cbku.fsf@HIDDEN>
X-Spook: Taiwan Body scanner Bin Laden Cyber Command OTP Shayet-13
X-Ran: OYOq?q)*((yz7qVFV@W:dw"r%3f5\!=o5z[Dm<T6rlLqX"ra}{]'v*7\<n1@t}Yuz~-uFp
X-Hue: yellow
X-Attribution: GM
Date: Thu, 04 Mar 2021 14:27:29 -0500
In-Reply-To: <83mtw8cbku.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 13 Feb
 2021 16:00:01 +0200")
Message-ID: <1br1ku3eji.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: Stefan Kangas <stefan@HIDDEN>, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Replying to spam is at best pointless, but most likely actively harmful.
Emacs having a package to help you reply to spam is at best pointless,
but most likely actively harmful.

This is one of the many things that makes Emacs look antiquated.
I find the refusal to even obsolete such things demotivating for working
on Emacs. So IMO the cost for keeping such things around is non-zero.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 4 Mar 2021 03:39:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 03 22:39:31 2021
Received: from localhost ([127.0.0.1]:57384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHepn-00047b-KR
	for submit <at> debbugs.gnu.org; Wed, 03 Mar 2021 22:39:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lHepm-00047P-PA
 for 46472 <at> debbugs.gnu.org; Wed, 03 Mar 2021 22:39:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51078)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lHepg-0005jq-Ma; Wed, 03 Mar 2021 22:39:24 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3783
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lHepg-00034k-2m; Wed, 03 Mar 2021 22:39:24 -0500
Date: Thu, 04 Mar 2021 05:39:06 +0200
Message-Id: <83czwfk2p1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvh7lsorwg.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Wed, 03 Mar 2021 16:22:16 -0500)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN> <jwvh7lsorwg.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: stefan@HIDDEN, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Stefan Kangas <stefan@HIDDEN>,  46472 <at> debbugs.gnu.org
> Date: Wed, 03 Mar 2021 16:22:16 -0500
> 
> > What are the reasons for moving uce.el to obsolete/ ?
> 
> I don't think it's useful to anyone.
> Moving it to `obsolete` might let us discover that I'm wrong on this
> point, of course ;-)

I'm against this method of "discovery", sorry.  This package doesn't
require any maintenance, so let's not invent any maintenance for it.
We have more important things to do with our time (I hope).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 3 Mar 2021 21:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 03 16:22:33 2021
Received: from localhost ([127.0.0.1]:57148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHYwz-0005mg-5i
	for submit <at> debbugs.gnu.org; Wed, 03 Mar 2021 16:22:33 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:8793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lHYwx-0005mV-PL
 for 46472 <at> debbugs.gnu.org; Wed, 03 Mar 2021 16:22:32 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 31285441DF8;
 Wed,  3 Mar 2021 16:22:26 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id D7373441DF3;
 Wed,  3 Mar 2021 16:22:24 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1614806544;
 bh=FWnJu6sib1qBZOUeYNNWH14pY655W3f5rmVWErAIu0M=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=PpBhBnVuP62sLEkCiDxgYm9MH5Jcr6zoo9Ux3nqOfs4ARBKBFLEqSC3R/1I9gyGZD
 inpTlPwVL9AHmjywZn5uTWU2xy3HGXsOMcOCTwihOdHJ6u5B0VvTInP2D7JF08ntYZ
 4us7zn/VRPWApgl8dZZ01TVkJOSOZsnQtIL/WqBKN0NEoiep7+fKGbduWSlBU0jQfO
 hNuJGsdAYPe2sqSP20ZUpwsuyahMLYFn/iVty0Dh2sOgsNeSQpn1PkVHiXHYrbyWp9
 WUrp+kDVin1GeJ61Nqgj3KIv/J3QMb3BBxnyJMAUFfBm4Y4VuDVEOhM7xDojJMu3Gn
 nj4W09olSpsFQ==
Received: from alfajor (unknown [216.154.43.249])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C099C1201E0;
 Wed,  3 Mar 2021 16:22:24 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
Message-ID: <jwvh7lsorwg.fsf-monnier+emacs@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
Date: Wed, 03 Mar 2021 16:22:16 -0500
In-Reply-To: <83im6we6v8.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 13 Feb
 2021 09:58:51 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.101 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46472
Cc: Stefan Kangas <stefan@HIDDEN>, 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> So how about moving it to obsolete/?

You have my vote.

> What are the reasons for moving uce.el to obsolete/ ?

I don't think it's useful to anyone.
Moving it to `obsolete` might let us discover that I'm wrong on this
point, of course ;-)


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 13 Feb 2021 14:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 09:00:13 2021
Received: from localhost ([127.0.0.1]:33858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAvT3-0003IM-0S
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 09:00:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lAvT0-0003Gn-R8
 for 46472 <at> debbugs.gnu.org; Sat, 13 Feb 2021 09:00:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49944)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lAvSv-0004OX-4G; Sat, 13 Feb 2021 09:00:05 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4579
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lAvSt-00037C-6e; Sat, 13 Feb 2021 09:00:04 -0500
Date: Sat, 13 Feb 2021 16:00:01 +0200
Message-Id: <83mtw8cbku.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
 (message from Stefan Kangas on Sat, 13 Feb 2021 06:25:19 -0600)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
 <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sat, 13 Feb 2021 06:25:19 -0600
> Cc: 46472 <at> debbugs.gnu.org
> 
> But I think we should be equally free to (strongly) recommend against
> bad practices.

The method of "recommendation" you propose is too strong for my
palate, sorry.  In general, I believe that people should be left to
their devices unless what they do causes harm to others.
Second-guessing other people under the assumption that we know better
is something I don't like doing, and don't like others doing to me.

How about adding some warnings to uce.el instead, either in the
commentary or when the main entry point is invoked for the first time
in a session?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 13 Feb 2021 12:25:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 07:25:28 2021
Received: from localhost ([127.0.0.1]:33660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAtzM-00053d-E6
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 07:25:28 -0500
Received: from mail-pj1-f42.google.com ([209.85.216.42]:34246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lAtzK-00053N-6z
 for 46472 <at> debbugs.gnu.org; Sat, 13 Feb 2021 07:25:27 -0500
Received: by mail-pj1-f42.google.com with SMTP id my11so1341831pjb.1
 for <46472 <at> debbugs.gnu.org>; Sat, 13 Feb 2021 04:25:26 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=3lz0aKaI7KukfbycogzUc+DzbRJvZeydc/mmuy+8XRc=;
 b=gromkUFvr/K0LYh5+HOpdsiALpwoWy9XH3Y1jEFCkYFRGx9uzYpNA99y2JVPR5HcHF
 z4/3b5kGZwpsER7zUEZUrBdxgZuqctaGJuo+cJy7LVYwDonOO1u8EqW/x42SKiPfNalj
 aeak/XtnYinvPPbW2jSF2i6enOkJqSXjkFLPQAiX/p50aWo3e/j2Cy9W+UJHQDkqj2M9
 8fLB/zC1wEyRROqyVQn22eGe8e6/rnN0OIVrRb64tJbuqyrAEVcAw2PEeR+g7LqgeXf4
 JiSnTqH5t3u4EImPhVnMfT7ZkkBahBF8Bc8eHxivKPNDjQLu27RCxr5e/oA99AsPwEUX
 pKjA==
X-Gm-Message-State: AOAM533mwo+FRBWCxYm9IUq9tTEqdthsUPKvtc8JFhJZPJdzzxAwTdEa
 TGT0MV2c7zodupSj4Sf1R2t364dXo0vI7IxLPDI=
X-Google-Smtp-Source: ABdhPJy7XaB9VWyk7NODR6B/HoogDYtb9Ks5qWIL2qYJslgcxStu8GQWwg8osgEv6f3nTAR+GnmFyTyaJAcnmztW8qY=
X-Received: by 2002:a17:902:ee44:b029:e2:bb4a:9ffb with SMTP id
 4-20020a170902ee44b02900e2bb4a9ffbmr6894606plo.39.1613219120254; Sat, 13 Feb
 2021 04:25:20 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 13 Feb 2021 06:25:19 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83im6we6v8.fsf@HIDDEN>
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 <83im6we6v8.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 13 Feb 2021 06:25:19 -0600
Message-ID: <CADwFkm=XPCv_3UTkK=2L66hj1-q-qM-2NtdtkUO5C3jvhWcw8g@HIDDEN>
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46472
Cc: 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> What you say above was always true: replying to spam bears an inherent
> risk.  This didn't change in any way, so how will we justify
> obsoleting this package now?

I think the methods for dealing with spam has developed quite a bit
since 1996, so I'm not quite sure I follow this argument.  The
justification is that no one should waste time replying to spam; they
should use a spam filter.

If you are looking for strictly technical reasons for obsoleting it, of
course they exist too: Anyone that wants to reply to an email using
pre-written drafts can do so using skeleton, tempo, abbrev, etc.  Those
are better tools that cover this use-case.

> I don't think our personal opinions on which is or isn't useful
> practices are reasons good enough to make it harder for others to use
> those practices if they so wish.

Whether or not replying to spam is good or bad is not really a matter of
personal opinion; it is objectively bad.  You can find any number of
security and privacy experts that could explain why:

- You will confirm your email address is valid, ensuring you get more
  spam.

- Sender address is probably fake.  (For example, you might unwittingly
  participate in flooding someones mailbox.  The abuse@domain and
  postmaster@domain is also unlikely to be able to act on your reply.)

- You open yourself up to various kinds of social engineering.

- You might leak information (e.g. on your email server and setup).

Encouraging this bad practice by shipping uce.el puts unknowing users at
risk, and promotes a bad method of dealing with spam.  We should instead
discourage this bad practice by moving it to obsolete/.

> It isn't our prerogative to tell others what to do or not to do in
> these circumstances.

Anyone would of course still free to continue doing whatever they want
(for example by making a copy of the obsolete libary for their own use).

But I think we should be equally free to (strongly) recommend against
bad practices.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at 46472 <at> debbugs.gnu.org:


Received: (at 46472) by debbugs.gnu.org; 13 Feb 2021 07:59:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 02:59:02 2021
Received: from localhost ([127.0.0.1]:33504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAppW-0002OS-Es
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 02:59:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lAppU-0002Nx-0s
 for 46472 <at> debbugs.gnu.org; Sat, 13 Feb 2021 02:59:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45086)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lAppO-0007hW-9T; Sat, 13 Feb 2021 02:58:54 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1975
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lAppN-0008K7-8J; Sat, 13 Feb 2021 02:58:53 -0500
Date: Sat, 13 Feb 2021 09:58:51 +0200
Message-Id: <83im6we6v8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
 (message from Stefan Kangas on Fri, 12 Feb 2021 15:58:53 -0600)
Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete
References: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46472
Cc: 46472 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 12 Feb 2021 15:58:53 -0600
> 
> ;; The code in this file provides a semi-automatic means of replying
> ;; to unsolicited commercial email (UCE) you might get.
> 
> It sends an email to the sender, as well as the abuse and postmaster
> emails for the senders domain containing a fairly polite request to be
> taken off any lists.  I think these days, it is pointless to reply to
> spam, and no one is (or should be) doing it.  It only verifies to the
> spammers that your email is valid, which is useful information to them
> and will do nothing but ensure you stay on their list.
> 
> This seems like a relic from a more gentle and perhaps naive time of the
> internet.  Nowadays, people should not waste their time on doing that,
> but instead use a spam filter.
> 
> IOW, I think this library is useless these days.
> 
> So how about moving it to obsolete/?

What are the reasons for moving uce.el to obsolete/ ?

What you say above was always true: replying to spam bears an inherent
risk.  This didn't change in any way, so how will we justify
obsoleting this package now?  I don't think our personal opinions on
which is or isn't useful practices are reasons good enough to make it
harder for others to use those practices if they so wish.  It isn't
our prerogative to tell others what to do or not to do in these
circumstances.

So my vote is against obsoleting this package, if the above reasoning
is the only grounds for that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2021 21:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 16:59:00 2021
Received: from localhost ([127.0.0.1]:33161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAgSq-0000Pb-3h
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 16:59:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:56604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lAgSo-0000PT-0y
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 16:58:58 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49566)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lAgSn-0000th-O0
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2021 16:58:57 -0500
Received: from mail-pl1-f174.google.com ([209.85.214.174]:40598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lAgSm-0005J7-4s
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2021 16:58:57 -0500
Received: by mail-pl1-f174.google.com with SMTP id z7so537985plk.7
 for <bug-gnu-emacs@HIDDEN>; Fri, 12 Feb 2021 13:58:55 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=0n4Wwg8dP0fEgY6g0eEw1aJjrtRi9ZiKjoqbINg0vJ8=;
 b=qqfp8FOjq3SXhd4hq8pZDEYOckHVQSx8xlvkE96FCwybnZElUGNqdmYK1JXcuMLLS9
 vMExuzlDd3ILbhQr0OzqTKnytrHjrLgdBx+8DVLkhmtMo+7xTu64mDbz19cO6iImf7tP
 vx+GXSo2EtgcnkbLCJnMvLxwGNNIdPZm2wynYYvWtTrsC9hR3oTye6HQzL0ggvesKzZR
 8SdGYNwSVVvLHh+npadxXefUkOOPBaibxErUiRwsgAcnIjHoXqdN0GUJ4WDdXIqOpZzK
 GrH3478wl09pE+o6OCgli77iurWHdjcS2GyWNNS1s4ohTDRMQCfwejWpPWZV8SDbMDMN
 KXPQ==
X-Gm-Message-State: AOAM533KZkQhMY2gK7D+gmP8Pb3S1uL06P5VeyEh/JJ1INPuRTML0ESB
 jkEaCCOByOcdl9l6JXGOWHmuZY/UoggLv+2Odb2VoEdQ
X-Google-Smtp-Source: ABdhPJxNG5PhOdY2/l4z29OXegaQyGzR4rKsq4his0WGTgVZ98J5X9Ndqx2nVwlYOa2QQzOhMCraDR8DMvGqoya1Ju4=
X-Received: by 2002:a17:90a:fe09:: with SMTP id
 ck9mr4545626pjb.175.1613167134494; 
 Fri, 12 Feb 2021 13:58:54 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 12 Feb 2021 15:58:53 -0600
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 12 Feb 2021 15:58:53 -0600
Message-ID: <CADwFkmnimeRjU+cdPRT57BrakjADnBBS0MCO471txQmExtHyZQ@HIDDEN>
Subject: Make lisp/mail/uce.el obsolete
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.214.174;
 envelope-from=stefankangas@HIDDEN; helo=mail-pl1-f174.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: wishlist

While digging around, I have happened upon lisp/mail/uce.el.

Here is how it describes itself:

;; The code in this file provides a semi-automatic means of replying
;; to unsolicited commercial email (UCE) you might get.

It sends an email to the sender, as well as the abuse and postmaster
emails for the senders domain containing a fairly polite request to be
taken off any lists.  I think these days, it is pointless to reply to
spam, and no one is (or should be) doing it.  It only verifies to the
spammers that your email is valid, which is useful information to them
and will do nothing but ensure you stay on their list.

This seems like a relic from a more gentle and perhaps naive time of the
internet.  Nowadays, people should not waste their time on doing that,
but instead use a spam filter.

IOW, I think this library is useless these days.

So how about moving it to obsolete/?




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46472; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.